Get one market
curl --request GET \
--url https://api.gains.trade/v1/{chain}/markets/{symbol}import requests
url = "https://api.gains.trade/v1/{chain}/markets/{symbol}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.gains.trade/v1/{chain}/markets/{symbol}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"symbol": "BTC/USD",
"pairIndex": 0,
"base": "BTC",
"quote": "USD",
"group": "crypto",
"groupIndex": 123,
"feeIndex": 123,
"isOpen": true,
"minLeverage": "0.5",
"maxLeverage": "0.5",
"minCollateralUsd": "0.5",
"minPositionUsd": "0.5",
"pricePrecision": 123,
"sizePrecision": 123,
"spreadRate": "0.5",
"fees": {
"openFeeRate": "0.5",
"closeFeeRate": "0.5",
"minPositionSizeUsd": "0.5"
},
"funding": {
"fundingRateLongHourly": "0.5",
"fundingRateShortHourly": "0.5",
"borrowingRateHourly": "0.5",
"openInterestLongUsd": "0.5",
"openInterestShortUsd": "0.5",
"skewUsd": "0.5"
},
"onlyIsolated": true,
"collaterals": [
{
"symbol": "USDC",
"index": 123,
"address": "0x73b3A111C5BCCf9086c97B96e0AbAad69Dc4f523",
"decimals": 123
}
]
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}Markets
Get one market
GET
/
v1
/
{chain}
/
markets
/
{symbol}
Get one market
Path Parameters
Available options:
arbitrum, base, polygon, megaeth, arbitrum-sepolia Example:
"arbitrum"
Market symbol. BTC-USD and BTC%2FUSD are both accepted.
Example:
"BTC-USD"
Response
The market
Gains market symbol, <base>/<quote>.
Pattern:
^[A-Z0-9.]{1,15}\/[A-Z0-9]{1,10}$Example:
"BTC/USD"
On-chain pair index. Equals the Hyperliquid asset id on the facade.
Example:
0
Example:
"BTC"
Example:
"USD"
Available options:
crypto, forex, stocks, indices, commodities Decimal number encoded as a string to preserve precision.
Pattern:
^-?(?:0|[1-9]\d*)(?:\.\d+)?$Example:
"0.5"
Decimal number encoded as a string to preserve precision.
Pattern:
^-?(?:0|[1-9]\d*)(?:\.\d+)?$Example:
"0.5"
Decimal number encoded as a string to preserve precision.
Pattern:
^-?(?:0|[1-9]\d*)(?:\.\d+)?$Example:
"0.5"
Decimal number encoded as a string to preserve precision.
Pattern:
^-?(?:0|[1-9]\d*)(?:\.\d+)?$Example:
"0.5"
Maximum decimals accepted for prices on this market.
Maximum decimals accepted for sizes on this market.
Fixed spread as a fraction of price (0.0004 = 0.04%).
Pattern:
^-?(?:0|[1-9]\d*)(?:\.\d+)?$Example:
"0.5"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
true Show child attributes
Show child attributes
